Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225674 - Merge Review: dasher
Summary: Merge Review: dasher
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:55 UTC by Nobody's working on this, feel free to take it
Modified: 2012-04-26 13:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-26 13:33:08 UTC
gwync: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:55:10 UTC
Fedora Merge Review: dasher

http://cvs.fedora.redhat.com/viewcvs/devel/dasher/
Initial Owner: davidz@redhat.com

Comment 1 Gwyn Ciesla 2012-04-05 15:00:16 UTC
Good:

- rpmlint checks return:

dasher.spec:6: W: non-standard-group Desktop/Accessibility
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

Fix.  Should be User Interface/Desktops

dasher.spec:62: W: mixed-use-of-spaces-and-tabs (spaces: line 24, tab: line 62)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

Fix.

dasher.x86_64: E: incorrect-fsf-address /usr/share/doc/dasher-4.10.1/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

Ignore, but maybe file upstream.

dasher.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/dasher.schemas
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

Ignore.


- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2 ) OK, text in %doc, matches source MUSTFIX should be GPLv2+
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

So it's just the rpmlint things.  Also, 4.11 is out.  Since it's all so minor I'll do it all shortly unless you object.

Comment 2 Gwyn Ciesla 2012-04-05 16:10:24 UTC
Revision, I'll do just the fixes, not 4.11, I can't get it to build on f16.

Comment 3 Gwyn Ciesla 2012-04-26 13:33:08 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.